- Qt 6.9
- Qt Wayland Compositor
- Qt Wayland XdgShell Extension
- Qt Wayland Compositor | Commercial or GPLv3

# Qt Wayland XdgShell Extension

### Summary

XdgShell is a shell extension providing window system features typical to desktop systems.

XdgShell corresponds to the Wayland interface, `xdg_shell`.

### Usage

To use this module, import it like this:

     import QtWayland.Compositor.XdgShell

XdgDecorationManagerV1 | Provides an extension for negotiation of server-side and client-side window decorations
XdgOutputManagerV1 | Provides an extension for describing outputs in a desktop oriented fashion
XdgPopup | Represents the popup specific parts of and xdg surface
XdgShell | Provides an extension for desktop-style user interfaces
XdgSurface | Desktop-style compositor-specific features to an xdg surface
XdgToplevel | Represents the toplevel window specific parts of an xdg surface